## proc endproc

Welcome Gallery Handbook

Manual page for proc_endproc(PL)

## DESCRIPTION

proc endproc is sometimes necessary to mark the end of a proc's statements, in certain situations described below.`` It does not need to be used routinely.``

It is a do-nothing marker that may occasionally be needed because of the way that ploticus scripts are parsed. Variables that are set within a proc do not become available to the script until the proc is finished. Procs are delineated by #proc statements.``

Thus if a #set or #if statement is to be used immediately following a proc that set one of the involved operands, #proc endproc should be used before the #set or #if.``

## ATTRIBUTES

None.``

## EXAMPLE

Examples from the gallery that use proc endproc are lineplot4 and distib .``
data display engine
Copyright Steve Grubb

Markup created by unroff 1.0, `` `` June 18, 2001.